Page MenuHomePhabricator

Use Shell\Command in SyntaxHighlight instead of symfony/process
Closed, ResolvedPublic

Description

From my commit message:

We originally started using symfony/process because kzykhys/pygments
depended upon it. But that library was unmaintained and became broken,
so we stopped using it, and just used symfony/process directly.

Today the only reason in favor of symfony/process is that it can pass
stdin to pygments, while Shell\Command can't (T182463). But there are
downsides, like not respecting the default MediaWiki shell limits,
cannot be used with core's firejail support, and requiring an external
composer dependency.

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterDrop symfony/process dependency, use Shell\Command instead

Event Timeline

Legoktm created this task.Dec 8 2017, 9:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 9:10 PM

Change 396476 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Drop symfony/process dependency, use Shell\Command instead

https://gerrit.wikimedia.org/r/396476

Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Dec 22 2017, 3:12 AM

Change 396476 merged by jenkins-bot:
[mediawiki/extensions/SyntaxHighlight_GeSHi@master] Drop symfony/process dependency, use Shell\Command instead

https://gerrit.wikimedia.org/r/396476

Krinkle closed this task as Resolved.Jan 9 2018, 5:29 PM
Krinkle removed a project: Patch-For-Review.